Lintian ReportsBETA

Escript-uses-unversioned-python-in-shebang

Tag versions

The tag is present in Lintian version 2.109.24. That is the most recent version we know about.

This package contains a script with unversioned Python shebang.

This package contains a script with unversioned Python shebang and thus defaults to using Python 2. The 2.x series of Python is deprecated and apart from rare cases, will not be supported in Debian Bullseye.

If the script in question is compatible with Python 3, please modify it to use /usr/bin/python3 instead. If it only is Python 2 compatible, please modify it to use /usr/bin/python2.

Visibility: error

Check: languages/python/scripts

The following 46 source packages in the archive triggered the tag 119 times.

There were no overrides.